=== doc/requirements.txt ===
Sphinx
breathe<=3.2.0
