=== debian/changelog ===
knot-resolver (1.0.0~beta3-1) unstable; urgency=medium

  * Add lua-socket and lua-sec for root TA bootstrapping
  * Imported Upstream version 1.0.0~beta3

 -- Ondřej Surý <ondrej@debian.org>  Sat, 30 Jan 2016 16:15:23 +0100

knot-resolver (1.0.0~beta2-123-g6134920-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0~beta2-123-g6134920
  * Mangle tinyweb only if it exists (Closes: #812276)
  * Mute lintian error about missing tinyweb.js sources and mute lintian
    warnings about shared library

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Jan 2016 15:00:54 +0100

knot-resolver (1.0.0~beta2-104-ge110f97-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0~beta2-104-ge110f97
  * Rebase patches on top of 1.0.0~beta2-104-ge110f97 release
  * Knot Resolver needs libknot 2.1.0 at least
  * Disable PIE hardening as it breaks the build
  * Squash debian quirks patch into one
  * Disable ASAN sanitized build
  * libkresd is now dynamic library
  * Install other new files into the package

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 Jan 2016 16:45:42 +0100

knot-resolver (1.0.0~beta2-58-gd8762fb-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0~beta2-58-gd8762fb

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Dec 2015 15:16:43 +0100

knot-resolver (1.0.0~beta2-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0~beta2
  * Build the Go modules on amd64
  * Compile the experimental with clang and AddressSanitizer
  * Fix missing GPL-2 and s/MIT/Expat/ in d/copyright
  * Add missing sources for javascript files
  * Add ${misc:Depends} to -dbg package
  * Tidy-up the permissions on modules
  * Use libjs-jquery and libjs-d3 instead of bundled javascript
  * Stop depending on libknot-dev as the code can cope with SOVERSION

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Nov 2015 11:49:25 +0100

knot-resolver (1.0.0~beta1-85-gd94caa6-1) experimental; urgency=medium

  * Imported Upstream version 1.0.0~beta1-85-gd94caa6

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 Nov 2015 23:14:07 +0100

knot-resolver (1.0.0~beta1-75-g0497be2-1) experimental; urgency=medium

  * Imported Upstream version 1.0.0~beta1-75-g0497be2
  * Rebase patches on top of 1.0.0~beta1-75-g0497be2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 Nov 2015 09:58:20 +0100

knot-resolver (1.0.0~beta1-12-g822d8fe-1) experimental; urgency=medium

  * Initial release
  * Update d/copyright with some missing bits
  * Imported Upstream version 1.0.0~beta1-12-g822d8fe

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Oct 2015 11:55:14 +0200
