=== debian/control ===
Source: knot-resolver
Section: net
Priority: optional
Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               dh-systemd,
               doxygen,
               gccgo,
               golang-github-abh-geoip-dev,
               golang-go,
               libcmocka-dev,
               libgeoip-dev,
               libgnutls28-dev,
               libhiredis-dev,
               libjansson-dev,
               libknot-dev (>= 2.1.0~),
               libluajit-5.1-dev,
               libmemcached-dev,
               libuv1-dev,
               luajit,
               pkg-config,
               python
Standards-Version: 3.9.6
Homepage: https://www.knot-dns.cz/
Vcs-Browser: https://anonscm.debian.org/git/pkg-dns/knot-resolver.git
Vcs-Git: git://anonscm.debian.org/pkg-dns/knot-resolver.git

Package: knot-resolver
Architecture: any
Depends: dns-root-data,
         libjs-d3,
         libjs-jquery,
	 lua-socket,
	 lua-sec,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: caching, DNSSEC-validating DNS resolver
 The Knot DNS Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 The Lua modules, switchable and shareable cache, and fast FFI
 bindings makes it great to tap into resolution process, or be used
 for your recursive DNS service. It's the OpenResty of DNS.
 .
 The server adopts a different scaling strategy than the rest of the
 DNS recursors - no threading, shared-nothing architecture (except
 MVCC cache that may be shared). You can start and stop additional
 nodes depending on the contention without downtime.

Package: knot-resolver-dbg
Architecture: any
Depends: knot-resolver (= ${binary:Version}),
         ${misc:Depends}
Recommends: gdb
Section: debug
Priority: extra
Description: Debug symbols for Knot DNS Resolver
 This package provides the debug symbols for Knot DNS Resolver needed
 for properly debugging errors in Knot Resolver with gdb.
 .
 The Knot DNS Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 The Lua modules, switchable and shareable cache, and fast FFI
 bindings makes it great to tap into resolution process, or be used
 for your recursive DNS service. It's the OpenResty of DNS.
 .
 The server adopts a different scaling strategy than the rest of the
 DNS recursors - no threading, shared-nothing architecture (except
 MVCC cache that may be shared). You can start and stop additional
 nodes depending on the contention without downtime.
