## knot-resolver 1.1.0

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,10 @@
 
 # Dependencies
 $(eval $(call find_lib,libknot,2.1))
+$(eval $(call find_lib,lmdb))
 $(eval $(call find_lib,libzscanner,2.1))
 $(eval $(call find_lib,libuv,1.0))
+$(eval $(call find_lib,nettle))
 $(eval $(call find_alt,lua,luajit))
 $(eval $(call find_lib,cmocka))
 $(eval $(call find_bin,doxygen))
@@ -26,16 +28,33 @@
 $(eval $(call find_lib,hiredis))
 $(eval $(call find_lib,socket_wrapper))
 $(eval $(call find_lib,libdnssec))
-$(eval $(call find_gopkg,geoip,github.com/abh/geoip))
-# Find Go compiler version
-# @note Go 1.5 support amd64 only, disabled for other architectures
-ifeq ($(ARCH),x86_64)
-E :=
-GO_VERSION := $(subst $(E) $(E),,$(subst go,,$(wordlist 1,2,$(subst ., ,$(word 3,$(shell $(GO) version))))))
+$(eval $(call find_lib,libsystemd,227))
+$(eval $(call find_lib,gnutls))
+
+# Find Go version and platform
+GO_VERSION := $(shell $(GO) version 2>/dev/null)
+ifeq ($(GO_VERSION),)
+        GO_VERSION := 0
+else
+        GO_PLATFORM := $(word 2,$(subst /, ,$(word 4,$(GO_VERSION))))
+        GO_VERSION := $(subst .,,$(subst go,,$(word 3,$(GO_VERSION))))
+endif
+$(eval $(call find_ver,go,$(GO_VERSION),16))
+
+# Check if Go is able to build shared libraries
+ifeq ($(HAS_go),yes)
+ifneq ($(GO_PLATFORM),$(filter $(GO_PLATFORM),amd64 386 arm arm64))
+HAS_go := no
+endif
+else
 $(eval $(call find_ver,go,$(GO_VERSION),15))
-else
-HAS_go = no
+ifeq ($HAS_go,yes)
+ifneq ($(GO_PLATFORM),$(filter $(GO_PLATFORM),arm amd64))
+HAS_go := no
 endif
+endif
+endif
+
 # Work around luajit on OS X
 ifeq ($(PLATFORM), Darwin)
 ifneq (,$(findstring luajit, $(lua_LIBS)))
@@ -43,8 +62,15 @@
 endif
 endif
 
-BUILD_CFLAGS += $(libknot_CFLAGS) $(libuv_CFLAGS) $(cmocka_CFLAGS) $(lua_CFLAGS) $(libdnssec_CFLAGS)
+BUILD_CFLAGS += $(libknot_CFLAGS) $(libuv_CFLAGS) $(nettle_CFLAGS) $(cmocka_CFLAGS) $(lua_CFLAGS) $(libdnssec_CFLAGS) $(libsystemd_CFLAGS)
 BUILD_CFLAGS += $(addprefix -I,$(wildcard contrib/ccan/*) contrib/murmurhash3)
+
+# Check if it has libknot 2.3.0 and nettle to support DNS cookies
+$(eval $(call find_alt,knot230,libknot,2.3))
+ifeq ($(HAS_nettle)|$(HAS_knot230),yes|yes)
+BUILD_CFLAGS += -DENABLE_COOKIES
+ENABLE_COOKIES := yes
+endif
 
 # Overview
 info:
@@ -59,6 +85,7 @@
 	$(info PREFIX:     $(PREFIX))
 	$(info DESTDIR:    $(DESTDIR))
 	$(info BINDIR:     $(BINDIR))
+	$(info SBINDIR:    $(SBINDIR))
 	$(info LIBDIR:     $(LIBDIR))
 	$(info ETCDIR:     $(ETCDIR))
 	$(info INCLUDEDIR: $(INCLUDEDIR))
@@ -67,17 +94,20 @@
 	$(info Dependencies)
 	$(info ------------)
 	$(info [$(HAS_libknot)] libknot (lib))
+	$(info [$(HAS_lmdb)] lmdb (lib))
 	$(info [$(HAS_lua)] luajit (daemon))
 	$(info [$(HAS_libuv)] libuv (daemon))
+	$(info [$(HAS_gnutls)] libgnutls (daemon))
+	$(info [$(HAS_nettle)] nettle (DNS cookies))
 	$(info )
 	$(info Optional)
 	$(info --------)
 	$(info [$(HAS_doxygen)] doxygen (doc))
-	$(info [$(HAS_go)] go (modules/go, Go 1.5+ on amd64))
-	$(info [$(HAS_geoip)] geoip (modules/tinyweb, github.com/abh/geoip))
+	$(info [$(HAS_go)] go (modules/go, Go buildmode=c-shared support))
 	$(info [$(HAS_libmemcached)] libmemcached (modules/memcached))
 	$(info [$(HAS_hiredis)] hiredis (modules/redis))
 	$(info [$(HAS_cmocka)] cmocka (tests/unit))
+	$(info [$(HAS_libsystemd)] systemd (daemon))
 	$(info )
 
 # Installation directories
