=== debian/changelog ===
knot-resolver (1.1.0-8) unstable; urgency=medium

  * Use restart instead of try-restart if upgrading from << 1.1.0-7

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Aug 2016 11:18:46 +0200

knot-resolver (1.1.0-7) unstable; urgency=medium

  * Add the final missing bits from dh_systemd_enable

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Aug 2016 10:29:22 +0200

knot-resolver (1.1.0-6) unstable; urgency=medium

  * Make extra sure that kresd.service is stopped before starting the
    sockets again
  * Stop old systemd units early before they are removed

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Aug 2016 08:32:22 +0200

knot-resolver (1.1.0-5) unstable; urgency=medium

  * Stop kresd.service in prerm script to allow kresd.socket restarts

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Aug 2016 15:43:59 +0200

knot-resolver (1.1.0-4) unstable; urgency=medium

  * Install kresd-tls.socket into the package
  * Unwrap variables in default file as systemd units cannot resolve
    nested variables

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Aug 2016 13:29:32 +0200

knot-resolver (1.1.0-3) unstable; urgency=medium

  * Tighten Build-Depends on libcmocka-dev to 1.0.0
  * Cleanup the knot-resolver -> kresd init script rename

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Aug 2016 13:11:10 +0200

knot-resolver (1.1.0-2) unstable; urgency=medium

  * Update systemd units to be named after the daemon (kresd)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Aug 2016 10:09:53 +0200

knot-resolver (1.1.0-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0
  * Rebase patches on top of Knot Resolver 1.1.0
  * Don't require libsystemd-dev on Ubuntu 14.04 LTS

 -- Ondřej Surý <ondrej@debian.org>  Fri, 12 Aug 2016 10:45:09 +0200

knot-resolver (1.1.0~git2016072900-2) unstable; urgency=medium

  * Fix minor nits in maintainers scripts (Courtesy of Andreas Henriksson)
  * Imported Upstream version 1.1.0~2016080800
  * Bump required version of libknot to 2.3.0

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Aug 2016 10:04:01 +0200

knot-resolver (1.1.0~git2016072900-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0~git2016072900
  * Knot Resolver is now running as non-privileged socket activated
    systemd service.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Aug 2016 09:01:15 +0200

knot-resolver (1.1.0~git2016072000-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0~git2016072000

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Jul 2016 14:31:10 +0200

knot-resolver (1.1.0~git2016071900-1) unstable; urgency=medium

  * Use correct lua comments in default kresd.conf
  * knot-resolver 1.1.0~git2016071300-3
  * Imported Upstream version 1.1.0~git2016071900

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Jul 2016 07:45:42 +0200

knot-resolver (1.1.0~git2016071300-3) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Remove static lib/libkres.a during clean
  * Put knot-resolver-doc into Section: doc (thanks, Lintian!)

  [ Ondřej Surý ]
  * Use correct lua comments in default kresd.conf

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Jul 2016 10:47:12 +0200

knot-resolver (1.1.0~git2016071300-2) unstable; urgency=medium

  * Build and install documentation into knot-resolver-doc package
    (Closes: #831461)
  * Build with libsystemd-dev to get socket-activation
  * Set LD_LIBRARY_PATH to load correct libkresd.so.1 for tests
  * Link the tests with static libkres library

 -- Ondřej Surý <ondrej@debian.org>  Sat, 16 Jul 2016 15:55:04 +0200

knot-resolver (1.1.0~git2016071300-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0~git2016071300
  * knot-resolver-module-all should be arch:all (only lua there)
  * Don't build tinyweb module anymore as HTTP/2 module replaces it

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Jul 2016 07:28:24 +0200

knot-resolver (1.1.0~git2016070600-4) unstable; urgency=medium

  * Add missing http.lua to knot-resolver-module-http package

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jul 2016 15:35:11 +0200

knot-resolver (1.1.0~git2016070600-3) unstable; urgency=medium

  * Add NEW packages lua-http and lua-mmdb to knot-resolver-module-http
    Depends
  * knot-resolver now recommends knot-resolver-module-http
  * Add liblmdb-dev to Build-Depends (Closes: #830934)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jul 2016 14:09:12 +0200

knot-resolver (1.1.0~git2016070600-2) unstable; urgency=medium

  * Explicitly declare architectures for tinyweb module
    (Closes: #830939)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jul 2016 09:32:30 +0200

knot-resolver (1.1.0~git2016070600-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0~git2016070600
  * Adapt to the new fixed config.mk that accepts overrides
  * Add new HTTP/2 module that will replace tinyweb module
  * Add daf module to knot-resolver
  * Bump standards to 3.9.8 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 Jul 2016 15:33:21 +0200

knot-resolver (1.0.0-16-g1070c49-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0-16-g1070c49
  * Add Breaks/Replaces for knot-resolver-module-tinyweb (Closes: #829051)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 30 Jun 2016 11:02:06 +0200

knot-resolver (1.0.0-13-g95b243f-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0-13-g95b243f

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Jun 2016 09:28:44 +0200

knot-resolver (1.0.0-12-g86f75f0-1) unstable; urgency=medium

  * Split tinyweb module into separate package
  * Imported Upstream version 1.0.0-12-g86f75f0
  * Use simpler method for optional dh_strip parameter

 -- Ondřej Surý <ondrej@debian.org>  Tue, 21 Jun 2016 09:23:27 +0200

knot-resolver (1.0.0-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0

 -- Ondřej Surý <ondrej@debian.org>  Tue, 31 May 2016 10:12:26 +0200

knot-resolver (1.0.0~beta3-95-g550ceca-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0~beta3-95-g550ceca


