=== debian/control ===
Source: knot-resolver
Section: net
Priority: optional
Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends-Indep:                doxygen,
	       python-sphinx,
	       python-breathe
Build-Depends: debhelper (>= 9),
               dh-systemd,
               libcmocka-dev (>= 1.0.0),
               libgeoip-dev,
               libgnutls28-dev,
               libhiredis-dev,
               libjansson-dev,
               libknot-dev (>= 2.3.0),
               liblmdb-dev,
               libluajit-5.1-dev,
               libmemcached-dev,
	       libsystemd-dev (>= 227) | base-files (<< 8),
               libuv1-dev,
               luajit,
               pkg-config,
               python
Standards-Version: 3.9.8
Homepage: https://www.knot-dns.cz/
Vcs-Browser: https://anonscm.debian.org/git/pkg-dns/knot-resolver.git
Vcs-Git: https://anonscm.debian.org/git/pkg-dns/knot-resolver.git

Package: knot-resolver
Architecture: any
Depends: dns-root-data,
         lua-sec,
         lua-socket,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: knot-resolver-module-http
Description: caching, DNSSEC-validating DNS resolver
 The Knot DNS Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 The Lua modules, switchable and shareable cache, and fast FFI
 bindings makes it great to tap into resolution process, or be used
 for your recursive DNS service. It's the OpenResty of DNS.
 .
 The server adopts a different scaling strategy than the rest of the
 DNS recursors - no threading, shared-nothing architecture (except
 MVCC cache that may be shared). You can start and stop additional
 nodes depending on the contention without downtime.

Package: knot-resolver-module-http
Architecture: all
Depends: libjs-bootstrap,
         libjs-d3,
         libjs-jquery,
         lua-http,
         lua-mmdb,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: knot-resolver-module-tinyweb (<< 1.1.0~git20160713-1~)
Description: HTTP/2 module for Knot Resolver
 The Knot DNS Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 This package contains HTTP/2 module for local visualization of the
 resolver cache and queries.

Package: knot-resolver-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for Knot Resolver
 The Knot DNS Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 This package contains Knot Resolver Documentation.
