## knot-resolver 1.2.0

=== debian/changelog ===
knot-resolver (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Squash 1.2.0 changelog into a single 1.2.0 entry
  * Add d/upstream/signing-key.asc
  * Add d/watch to monitor upstream tarballs

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 Jan 2017 14:23:27 +0100

knot-resolver (1.1.1-131-g59d5adf-1) unstable; urgency=medium

  * Disable tests on mipsel that started to fail in a mysterious way
    (Closes: #847696)
  * Imported Upstream version 1.1.1-131-g59d5adf

 -- Ondřej Surý <ondrej@debian.org>  Wed, 14 Dec 2016 12:16:36 +0100

knot-resolver (1.1.1-122-g940fda9-2) unstable; urgency=medium

  * Move -DNDEBUG just to build target

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Dec 2016 09:52:19 +0100

knot-resolver (1.1.1-122-g940fda9-1) unstable; urgency=medium

  * Imported Upstream version 1.1.1-122-g940fda9
  * Remove static linking patch
  * Add $(MAKEVARS) to make check invocation
  * Use SOVERSION when compiling to unfail the tests

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Dec 2016 16:26:27 +0100

knot-resolver (1.1.1-41-g8437a7d-2) unstable; urgency=medium

  * Update NEWS with kresd.service (Closes: #843178)
  * Enable NDEBUG on production builds

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Dec 2016 10:02:55 +0100

knot-resolver (1.1.1-41-g8437a7d-1) unstable; urgency=medium

  * Imported Upstream version 1.1.1-41-g8437a7d
  * Add instructions how to rebuild epoch.js and epoch.css using Debian
    tools (Closes: #833309)
  * Record SONAMEs of used C libraries as lua literals instead of guessing
    (Closes: #841496)
  * Rebase patches on top of new git master release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 21 Oct 2016 11:27:56 +0200

knot-resolver (1.1.1-2) unstable; urgency=medium

  * Add missing sources for epoch.js
  * Also allow loading of libknot.so.4

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Oct 2016 14:54:20 +0200

knot-resolver (1.1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1.1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Oct 2016 14:52:37 +0200
