=== debian/changelog ===
knot-resolver (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Feb 2017 13:54:28 +0100

knot-resolver (1.2.1-1) unstable; urgency=high

  * New upstream version 1.2.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 01 Feb 2017 20:56:35 +0100
