=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
-Build-Depends-Indep:                doxygen,
-	       python-sphinx,
-	       python-breathe
+Build-Depends-Indep: doxygen,
+                     python-breathe,
+                     python-sphinx
 Build-Depends: debhelper (>= 9),
                dh-systemd,
                libcmocka-dev (>= 1.0.0),
@@ -17,7 +17,7 @@
                liblmdb-dev,
                libluajit-5.1-dev,
                libmemcached-dev,
-	       libsystemd-dev (>= 227) | base-files (<< 8),
+               libsystemd-dev (>= 227) | base-files (<< 8),
                libuv1-dev,
                luajit,
                pkg-config,
@@ -29,7 +29,8 @@
 
 Package: knot-resolver
 Architecture: any
-Depends: dns-root-data,
+Depends: adduser,
+         dns-root-data,
          lua-sec,
          lua-socket,
          ${misc:Depends},
