=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,12 @@
 
 MAKEVARS := ARCH=$(DEB_HOST_GNU_CPU) PREFIX=/usr MODULEDIR=/usr/lib/knot-resolver ETCDIR=/etc/knot-resolver V=1
 
+RUN_TESTS := yes
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386 mips mipsel ppc64 ppc64el armel armhf arm64 kfreebsd-amd64 kfreebsd-i386))
+  $(warning Disabling checks on $(DEB_HOST_ARCH))
+  RUN_TESTS := no
+endif
+
 # main packaging script based on dh7 syntax
 %:
 	dh $@ --with systemd --fail-missing
@@ -31,8 +37,8 @@
 	dh_auto_clean -- doc-clean http-clean
 
 override_dh_auto_build-arch:
-	dh_auto_build -- $(MAKEVARS) BUILDMODE=static lib
-	dh_auto_build -- $(MAKEVARS)
+	CFLAGS="$${CFLAGS} -DNDEBUG" dh_auto_build -- $(MAKEVARS) BUILDMODE=static lib
+	CFLAGS="$${CFLAGS} -DNDEBUG" dh_auto_build -- $(MAKEVARS)
 
 override_dh_auto_build-indep:
 	dh_auto_build -- $(MAKEVARS) http
@@ -88,7 +94,9 @@
 
 override_dh_auto_test-indep:
 override_dh_auto_test-arch:
-	LD_LIBRARY_PATH=$(CURDIR)/lib dh_auto_test
+ifeq ($(RUN_TESTS),yes)
+	LD_LIBRARY_PATH=$(CURDIR)/lib dh_auto_test -- $(MAKEVARS)
+endif
 
 override_dh_strip:
 	dh_strip -O--dbgsym-migration='knot-resolver-dbg (<< 1.0.0~beta3-60-ge61c48e-1~)'
