## knot-resolver 1.3.3

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,11 @@
 include platform.mk
 
 # Targets
-all: info lib daemon modules
-install: lib-install daemon-install modules-install etc-install
+all: info lib daemon client modules
+install: lib-install daemon-install client-install modules-install etc-install
 check: all tests
-clean: contrib-clean lib-clean daemon-clean modules-clean tests-clean doc-clean bench-clean
+clean: contrib-clean lib-clean daemon-clean client-clean modules-clean \
+	tests-clean doc-clean bench-clean
 doc: doc-html
 .PHONY: all install check clean doc info
 
@@ -15,9 +16,10 @@
 endif
 
 # Dependencies
-$(eval $(call find_lib,libknot,2.3.1,yes))
-$(eval $(call find_lib,libdnssec,2.3.1,yes))
-$(eval $(call find_lib,libzscanner,2.3.1,yes))
+KNOT_MINVER := 2.3.1
+$(eval $(call find_lib,libknot,$(KNOT_MINVER),yes))
+$(eval $(call find_lib,libdnssec,$(KNOT_MINVER),yes))
+$(eval $(call find_lib,libzscanner,$(KNOT_MINVER),yes))
 $(eval $(call find_lib,lmdb))
 $(eval $(call find_lib,libuv,1.0,yes))
 $(eval $(call find_lib,nettle,,yes))
@@ -33,6 +35,10 @@
 $(eval $(call find_lib,socket_wrapper))
 $(eval $(call find_lib,libsystemd,227))
 $(eval $(call find_lib,gnutls))
+$(eval $(call find_lib,libedit))
+$(eval $(call find_lib,libprotobuf-c,1))
+$(eval $(call find_lib,libfstrm,0.2))
+$(eval $(call find_bin,protoc-c))
 
 # Lookup SONAME
 $(eval $(call find_soname,libknot))
@@ -67,6 +73,11 @@
 HAS_go := no
 endif
 endif
+endif
+
+# check for fstrm and protobuf for dnstap
+ifeq ($(HAS_libfstrm)|$(HAS_libprotobuf-c)|$(HAS_protoc-c),yes|yes|yes)
+ENABLE_DNSTAP := yes
 endif
 
 # Overview
@@ -109,17 +120,21 @@
 	$(info [$(HAS_nettle)] nettle (modules/cookies))
 	$(info [$(HAS_ltn12)] Lua socket ltn12 (trust anchor bootstrapping))
 	$(info [$(HAS_ssl.https)] Lua ssl.https (trust anchor bootstrapping))
+	$(info [$(HAS_libedit)] libedit (client))
+	$(info [$(HAS_libfstrm)] libfstrm (modules/dnstap))
+	$(info [$(HAS_libprotobuf-c)] libprotobuf-c (modules/dnstap))
+	$(info [$(HAS_protoc-c)] proto-c (modules/dnstap))
 	$(info )
 
 # Verify required dependencies are met, as listed above
 ifeq ($(HAS_libknot),no)
-	$(error libknot >= 2.3.1 required)
+	$(error libknot >= $(KNOT_MINVER) required)
 endif
 ifeq ($(HAS_libzscanner),no)
-	$(error libzscanner >= 2.3.1 required)
+	$(error libzscanner >= $(KNOT_MINVER) required)
 endif
 ifeq ($(HAS_libdnssec),no)
-	$(error libdnssec >= 2.3.1 required)
+	$(error libdnssec >= $(KNOT_MINVER) required)
 endif
 ifeq ($(HAS_lua),no)
 	$(error luajit required)
