=== debian/changelog ===
knot-resolver (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3

 -- Ondřej Surý <ondrej@debian.org>  Wed, 09 Aug 2017 15:28:35 +0200

knot-resolver (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 Jul 2017 14:22:08 +0200

knot-resolver (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Remove all upstream patches merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Jun 2017 14:38:15 +0200

knot-resolver (1.3.0-2) unstable; urgency=medium

  * Fix the moduledir in the http2 module

 -- Ondřej Surý <ondrej@debian.org>  Fri, 16 Jun 2017 13:20:14 +0200

knot-resolver (1.3.0-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 1.3.0
  * Export MAKEVARS as environment variables
  * Add libedit-dev to B-D to build kresc

  [ Daniel Kahn Gillmor ]
  * ship kresc because we use --fail-missing
  * clean up things the upstream build scripts leave behind

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Jun 2017 09:07:54 +0200

knot-resolver (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Apr 2017 16:31:11 +0200

knot-resolver (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5

 -- Ondřej Surý <ondrej@debian.org>  Wed, 05 Apr 2017 16:07:40 +0200

knot-resolver (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4

 -- Ondřej Surý <ondrej@debian.org>  Thu, 09 Mar 2017 14:20:24 +0100

knot-resolver (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Feb 2017 15:49:14 +0100
