=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends: debhelper (>= 9),
                dh-systemd,
                libcmocka-dev (>= 1.0.0),
+	       libedit-dev,
                libgeoip-dev,
                libgnutls28-dev,
                libhiredis-dev,
