=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,9 @@
 include /usr/share/dpkg/default.mk
 
 export ARCH=$(DEB_HOST_GNU_CPU)
-
-MAKEVARS := ARCH=$(DEB_HOST_GNU_CPU) PREFIX=/usr MODULEDIR=/usr/lib/knot-resolver ETCDIR=/etc/knot-resolver V=1
+export PREFIX=/usr
+export MODULEDIR=/usr/lib/knot-resolver
+export ETCDIR=/etc/knot-resolver
 
 RUN_TESTS := yes
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386 mips mipsel ppc64 ppc64el armel armhf arm64 kfreebsd-amd64 kfreebsd-i386))
@@ -37,16 +38,16 @@
 	dh_auto_clean -- doc-clean http-clean
 
 override_dh_auto_build-arch:
-	CFLAGS="$${CFLAGS} -DNDEBUG" dh_auto_build -- $(MAKEVARS) BUILDMODE=static lib
-	CFLAGS="$${CFLAGS} -DNDEBUG" dh_auto_build -- $(MAKEVARS)
+	CFLAGS="$${CFLAGS} -DNDEBUG" dh_auto_build -- V=1 BUILDMODE=static lib
+	CFLAGS="$${CFLAGS} -DNDEBUG" dh_auto_build -- V=1
 
 override_dh_auto_build-indep:
-	dh_auto_build -- $(MAKEVARS) http
-	dh_auto_build -- $(MAKEVARS) doc-doxygen
+	dh_auto_build -- V=1 http
+	dh_auto_build -- V=1 doc-doxygen
 	cd doc && sphinx-build -b html -D html_theme=nature . html
 
 override_dh_auto_install-arch:
-	dh_auto_install --destdir=debian/tmp -- $(MAKEVARS)
+	dh_auto_install --destdir=debian/tmp -- V=1
 
 # make the modules non-executable
 	chmod -x debian/tmp/usr/lib/knot-resolver/*.lua
@@ -60,7 +61,7 @@
 
 override_dh_auto_install-indep:
 # install just the http/2 module
-	make http-install DESTDIR=debian/tmp $(MAKEVARS)
+	make http-install DESTDIR=debian/tmp V=1
 
 # make the modules non-executable
 	chmod -x debian/tmp/usr/lib/knot-resolver/http/*
@@ -95,7 +96,7 @@
 override_dh_auto_test-indep:
 override_dh_auto_test-arch:
 ifeq ($(RUN_TESTS),yes)
-	LD_LIBRARY_PATH=$(CURDIR)/lib dh_auto_test -- $(MAKEVARS)
+	LD_LIBRARY_PATH=$(CURDIR)/lib dh_auto_test -- V=1
 endif
 
 override_dh_strip:
